Referencia
Equipo
Los usuarios de tu equipo que operan la cuenta, y los permisos que podés darles.
GET
/api/v2/managersAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
page?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30search?string
Free-text filter matched against the name, email, phone and note.
Response Body
application/json
curl -X GET "https://example.com/api/v2/managers"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": 0, "fullName": "string", "email": "string", "phone": "string", "note": "string", "locationId": 0, "isActive": true, "permissions": [ "string" ], "countryCode": "string", "timezone": "string", "dateFormat": "string", "language": "string", "createdAt": "string" } ]}POST
/api/v2/managersAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/managers" \ -H "Content-Type: application/json" \ -d '{ "fullName": "string" }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "fullName": "string", "email": "string", "phone": "string", "note": "string", "locationId": 0, "isActive": true, "permissions": [ "string" ], "countryCode": "string", "timezone": "string", "dateFormat": "string", "language": "string", "createdAt": "string" }}GET
/api/v2/managers/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
\d+Response Body
application/json
curl -X GET "https://example.com/api/v2/managers/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "fullName": "string", "email": "string", "phone": "string", "note": "string", "locationId": 0, "isActive": true, "permissions": [ "string" ], "countryCode": "string", "timezone": "string", "dateFormat": "string", "language": "string", "createdAt": "string" }}PATCH
/api/v2/managers/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
\d+Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/managers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "fullName": "string", "email": "string", "phone": "string", "note": "string", "locationId": 0, "isActive": true, "permissions": [ "string" ], "countryCode": "string", "timezone": "string", "dateFormat": "string", "language": "string", "createdAt": "string" }}DELETE
/api/v2/managers/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
\d+Response Body
application/json
curl -X DELETE "https://example.com/api/v2/managers/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}GET
/api/v2/managers/permissionsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Response Body
application/json
curl -X GET "https://example.com/api/v2/managers/permissions"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "permissions": [ "string" ], "defaultPermissions": [ "string" ] }}